Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint
Class ServerConnectionEndpoint

    java.lang.Object
      org.jboss.jms.server.endpoint.ServerConnectionEndpoint

All Implemented Interfaces:
  Closeable, ConnectionEndpoint

public class ServerConnectionEndpoint
extends java.lang.Object
implements ConnectionEndpoint

Concrete implementation of ConnectionEndpoint.

Version:
  `$Revision: 1.44 $` $Id: ServerConnectionEndpoint.java,v 1.44 2006/06/24 09:05:37 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Constructor Summary
`protected` | `ServerConnectionEndpoint(ServerPeer serverPeer, java.lang.String clientID, java.lang.String username, java.lang.String password)`

Method Summary
`protected void` | `addTemporaryDestination(Destination dest)`
`void` | `close()` Close the instance
`void` | `closing()` Tell the instance to prepare to close
`SessionDelegate` | `createSessionDelegate(boolean transacted, int acknowledgmentMode, boolean isXA)`
`protected java.lang.String` | `generateSessionID()` Generates a sessionID that is unique per this ConnectionDelegate instance
`protected Client` | `getCallbackClient()`
`java.lang.String` | `getClientID()`
`protected int` | `getConnectionID()`
`protected ServerConsumerEndpoint` | `getConsumerEndpoint(int consumerID)`
`protected java.lang.String` | `getJmsClientVMId()`
`java.lang.String` | `getPassword()`
`javax.transaction.xa.Xid[]` | `getPreparedTransactions()` Get array of XA transactions in prepared state- This would be used by the transaction manager in recovery or by a tool to apply heuristic decisions to commit or rollback particular transactions
`protected java.lang.String` | `getRemotingClientSessionId()`
`SecurityManager` | `getSecurityManager()`
`protected ServerPeer` | `getServerPeer()`
`protected ServerSessionEndpoint` | `getSessionDelegate(int sessionID)`
`java.lang.String` | `getUsername()`
`byte` | `getUsingVersion()`
`protected boolean` | `hasTemporaryDestination(Destination dest)`
`protected boolean` | `isStarted()`
`protected ServerConsumerEndpoint` | `putConsumerEndpoint(int consumerID, ServerConsumerEndpoint c)`
`protected ServerSessionEndpoint` | `putSessionDelegate(int sessionID, ServerSessionEndpoint d)`
`protected ServerConsumerEndpoint` | `removeConsumerEndpoint(java.lang.Integer consumerID)`
`protected ServerSessionEndpoint` | `removeSessionDelegate(int sessionID)`
`protected void` | `removeTemporaryDestination(Destination dest)`
`protected void` | `sendMessage(JBossMessage jbm, Transaction tx)`
`void` | `sendTransaction(TransactionRequest request)`
`void` | `setCallbackClient(Client client)`
`void` | `setClientID(java.lang.String clientID)`
`void` | `setRemotingInformation(java.lang.String jmsClientVMId, java.lang.String remotingClientSessionId)`
`void` | `setUsingVersion(byte version)`
`void` | `start()`
`void` | `stop()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerConnectionEndpoint

    protected ServerConnectionEndpoint(ServerPeer serverPeer,
                                       java.lang.String clientID,
                                       java.lang.String username,
                                       java.lang.String password)

Method Detail

### createSessionDelegate

    public SessionDelegate createSessionDelegate(boolean transacted,
                                                 int acknowledgmentMode,
                                                 boolean isXA)
                                          throws JMSException

  Specified by:
    `createSessionDelegate` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getClientID

    public java.lang.String getClientID()
                                 throws JMSException

  Specified by:
    `getClientID` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String clientID)
                     throws java.lang.IllegalStateException

  Specified by:
    `setClientID` in interface `ConnectionEndpoint`
  Throws:
    `java.lang.IllegalStateException`

### start

    public void start()
               throws JMSException

  Specified by:
    `start` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Specified by:
    `stop` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Description copied from interface: `Closeable`
  Close the instance

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### sendTransaction

    public void sendTransaction(TransactionRequest request)
                         throws JMSException

  Specified by:
    `sendTransaction` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getPreparedTransactions

    public javax.transaction.xa.Xid[] getPreparedTransactions()

  Get array of XA transactions in prepared state- This would be used by the transaction manager in recovery or by a tool to apply heuristic decisions to commit or rollback particular transactions

  Specified by:
    `getPreparedTransactions` in interface `ConnectionEndpoint`

### getUsername

    public java.lang.String getUsername()

### getPassword

    public java.lang.String getPassword()

### getSecurityManager

    public SecurityManager getSecurityManager()

### setCallbackClient

    public void setCallbackClient(Client client)

### setRemotingInformation

    public void setRemotingInformation(java.lang.String jmsClientVMId,
                                       java.lang.String remotingClientSessionId)

### setUsingVersion

    public void setUsingVersion(byte version)

### getUsingVersion

    public byte getUsingVersion()

### toString

    public java.lang.String toString()

### getCallbackClient

    protected Client getCallbackClient()

### getConnectionID

    protected int getConnectionID()

### isStarted

    protected boolean isStarted()

### generateSessionID

    protected java.lang.String generateSessionID()

  Generates a sessionID that is unique per this ConnectionDelegate instance

### putSessionDelegate

    protected ServerSessionEndpoint putSessionDelegate(int sessionID,
                                                       ServerSessionEndpoint d)

### getSessionDelegate

    protected ServerSessionEndpoint getSessionDelegate(int sessionID)

### removeSessionDelegate

    protected ServerSessionEndpoint removeSessionDelegate(int sessionID)

### putConsumerEndpoint

    protected ServerConsumerEndpoint putConsumerEndpoint(int consumerID,
                                                         ServerConsumerEndpoint c)

### getConsumerEndpoint

    protected ServerConsumerEndpoint getConsumerEndpoint(int consumerID)

### removeConsumerEndpoint

    protected ServerConsumerEndpoint removeConsumerEndpoint(java.lang.Integer consumerID)

### addTemporaryDestination

    protected void addTemporaryDestination(Destination dest)

### removeTemporaryDestination

    protected void removeTemporaryDestination(Destination dest)

### hasTemporaryDestination

    protected boolean hasTemporaryDestination(Destination dest)

### getServerPeer

    protected ServerPeer getServerPeer()

### getRemotingClientSessionId

    protected java.lang.String getRemotingClientSessionId()

### getJmsClientVMId

    protected java.lang.String getJmsClientVMId()

### sendMessage

    protected void sendMessage(JBossMessage jbm,
                               Transaction tx)
                        throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.